Permalink
Browse files

[Wear] Added support for Android Wear 2.0.

[Trivial] Bumped version numbers.
  • Loading branch information...
thecosmicfrog committed Apr 19, 2017
1 parent ca76d12 commit 12c7b9d18a574e95f7ebf9c1f4e5a21b9f529b5c
@@ -5,7 +5,7 @@ buildscript {
jcenter()
}
dependencies {
classpath 'com.android.tools.build:gradle:2.3.0'
classpath 'com.android.tools.build:gradle:2.3.1'
// Firebase
classpath 'com.google.gms:google-services:3.0.0'
@@ -8,8 +8,8 @@ android {
applicationId "org.thecosmicfrog.luasataglance"
minSdkVersion 16
targetSdkVersion 25
versionCode 91
versionName "0.91"
versionCode 94
versionName "0.94"
}
buildTypes {
release {
@@ -23,14 +23,14 @@ android {
dependencies {
compile fileTree(include: ['*.jar'], dir: 'libs')
wearApp project(':wear')
compile 'com.android.support:appcompat-v7:25.2.0'
compile 'com.android.support:cardview-v7:25.2.0'
compile 'com.android.support:design:25.2.0'
compile 'com.google.android.gms:play-services-wearable:10.2.0'
wearApp project(path: ':wear', configuration: 'wear1Release')
compile 'com.android.support:appcompat-v7:25.3.1'
compile 'com.android.support:cardview-v7:25.3.1'
compile 'com.android.support:design:25.3.1'
compile 'com.google.android.gms:play-services-wearable:10.2.1'
compile 'com.squareup.retrofit:retrofit:1.9.0'
compile 'com.android.support:support-v4:25.2.0'
compile 'com.google.android.gms:play-services-maps:10.2.0'
compile 'com.android.support:support-v4:25.3.1'
compile 'com.google.android.gms:play-services-maps:10.2.1'
compile 'com.google.firebase:firebase-core:10.0.0'
compile 'com.google.firebase:firebase-messaging:10.0.0'
}
@@ -23,8 +23,6 @@
App
-->
<string name="app_name">Luas at a Glance</string>
<string name="version_code">91</string>
<string name="version_name">0.91</string>
<!--
Activities
@@ -23,8 +23,8 @@
App
-->
<string name="app_name">Luas at a Glance</string>
<string name="version_code">91</string>
<string name="version_name">0.91</string>
<string name="version_code" translatable="false">94</string>
<string name="version_name" translatable="false">0.94</string>
<!--
Activities
@@ -161,13 +161,17 @@
<!--
What's New
-->
<string name="whatsnew_title_current" translatable="false">Version 0.91 (22nd March 2017)
<string name="whatsnew_title_current" translatable="false">Version 0.94 (20th April 2017)
</string>
<string name="whatsnew_content_current" translatable="false">\u2022 Under-the-hood improvements for reliability.\n\u2022 Fixed recent bug where app could crash on launch. Thanks to everyone who reported this!
<string name="whatsnew_content_current" translatable="false">\u2022 Added support for Android
Wear 2.0. You can now download Luas at a Glance from the <b>Play Store</b> on your Android
Wear 2.0-compatible smartwatch!
</string>
<string name="whatsnew_title_previous" translatable="false">Version 0.89 (21st February 2017)
<string name="whatsnew_title_previous" translatable="false">Version 0.91 (22nd March 2017)
</string>
<string name="whatsnew_content_previous" translatable="false">\u2022 Minor bug fixes.
<string name="whatsnew_content_previous" translatable="false">\u2022 Under-the-hood improvements
for reliability.\n\u2022 Fixed recent bug where app could crash on launch. Thanks to
everyone who reported this!
</string>
<!--
@@ -4,24 +4,35 @@ android {
compileSdkVersion 25
buildToolsVersion '25.0.1'
publishNonDefault true
defaultConfig {
applicationId "org.thecosmicfrog.luasataglance"
minSdkVersion 21
targetSdkVersion 25
versionCode 91
versionName "0.91"
versionCode 9400
versionName "0.94"
}
buildTypes {
release {
minifyEnabled false
proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
}
}
productFlavors {
wear1 {
/* Use the defaultConfig value. */
}
wear2 {
minSdkVersion 25
versionCode 9401
}
}
}
dependencies {
compile fileTree(include: ['*.jar'], dir: 'libs')
provided 'com.google.android.wearable:wearable:2.0.0'
compile 'com.google.android.support:wearable:2.0.0'
compile 'com.google.android.gms:play-services-wearable:10.2.0'
provided 'com.google.android.wearable:wearable:2.0.1'
compile 'com.google.android.support:wearable:2.0.1'
compile 'com.google.android.gms:play-services-wearable:10.2.1'
}
@@ -38,6 +38,10 @@
android:name=".activity.FavouritesActivity"
android:label="@string/title_activity_favourites" >
</activity>
<meta-data
android:name="com.google.android.wearable.standalone"
android:value="false" />
</application>
</manifest>
@@ -23,14 +23,14 @@
App
-->
<string name="app_name">Luas at a Glance</string>
<string name="version_code">91</string>
<string name="version_name">0.91</string>
<!--
Activities
-->
<string name="title_activity_red_line">Líne Dearg</string>
<string name="title_activity_green_line">Líne Glas</string>
<string name="title_activity_favourites">Ceanáin</string>
<string name="title_activity_favourites_select">Roghnaigh Ceanáin</string>
<string name="title_activity_stop_forecast">Réamhaisnéis Stad</string>
<!--
@@ -23,8 +23,8 @@
App
-->
<string name="app_name">Luas at a Glance</string>
<string name="version_code">91</string>
<string name="version_name">0.91</string>
<string name="version_code" translatable="false">94</string>
<string name="version_name" translatable="false">0.94</string>
<!--
Activities
@@ -38,7 +38,6 @@
<!--
Main UI
-->
<string name="message_no_results">No Results</string>
<string name="message_success">operating normally</string>
<string name="message_not_running">No trams expected at this stop.</string>
<string name="message_error">Error retrieving times from Luas RTPI system</string>

0 comments on commit 12c7b9d

Please sign in to comment.